import { Player } from '@minecraft/server';
import { sendPlayerMessage } from '../../../stuff/commonUtils';


export function heartDisplay(player: Player) {
    const hadHeartTag = player.hasTag(`heart-display_on`);
    if (hadHeartTag) player.removeTag(`heart-display_on`);
    else player.addTag(`heart-display_on`);

    sendPlayerMessage(player, `§aYour hearts are ${hadHeartTag ? `no longer` : `now`} displayed above your nametag`);
}
