import { Player } from '@minecraft/server';
import { sendPlayerMessage } from '../../../stuff/commonUtils';


export function heartNotify(player: Player) {
    const hadHeartTag = player.hasTag(`heart-notify-off`);
    if (hadHeartTag) player.removeTag(`heart-notify-off`);
    else player.addTag(`heart-notify-off`);

    sendPlayerMessage(player, `§aYou will ${hadHeartTag ? `now` : `no longer`} be notified when you gain/lose hearts`);
}
