import { Player } from '@minecraft/server';
import { sendPlayerMessage } from '../../../../../stuff/commonUtils';
import { lifesteal } from '../../../../databases';


export function heartLose(player: Player, args: string[]) {
    if (args.length > 2) return sendPlayerMessage(player, `§cExtra arguments at the end of command`);
    const amount = +args[1];

    if (!args[1]) return sendPlayerMessage(player, `§aHearts lost on death is set to ${lifesteal.get(`heartlose`)}`);
    if (isNaN(amount) || !Number.isInteger(amount)) return sendPlayerMessage(player, `§cExpected integer ('${args[1] ?? ``}')`);

    lifesteal.set(`heartlose`, `${amount}`);

    sendPlayerMessage(player, `§aSet hearts lost on death to ${amount}`);
}
