import { sendPlayerMessage } from "../../../../stuff/commonUtils";
import { Command } from "../../../../stuff/handler";
import { processAllDeadplayers } from "../../../core_modules/ghostHandling";
import { deadplayers } from "../../../databases";

new Command({
    name: `deadlistraw`,
    staffOnly: true,
    callback({ player, args }) {
        switch (args[0]) {
            case `clear`:
                return deadplayers.clear();
            case `add`: {
                if (!args[1]) return console.warn(`no name`);
                deadplayers.set(args[1], args[1]);
                if (args.includes(`--p`)) processAllDeadplayers();
                return;
            }
        }

        sendPlayerMessage(player, `${Array.from(deadplayers.entries())}`);
    },
});