import { getPlayer, sendPlayerMessage } from "../../../stuff/commonUtils";
import { config } from "../../../stuff/config";
import { Command } from "../../../stuff/handler";

new Command({
    name: `op`,
    staffOnly: true,
    aliases: [`makeop`, `operator`],
    callback({ player, args }) {
        if (!args[0]) {
            if (player.hasTag(config.staffTag)) {
                player.removeTag(config.staffTag);
                sendPlayerMessage(player, `§a${player.name} is no longer lifesteal-opped!`);
                return;
            }

            sendPlayerMessage(player, `§a${player.name} is now lifesteal-opped!`);
            player.addTag(config.staffTag);
            return;
        }

        let msg = !args[1] ? args[0] : args.join(` `).split(/\"/g)[1];
        let target = getPlayer(msg);
        if (!target) return sendPlayerMessage(player, `§cPlayer not found (${msg})`);

        if (target.hasTag(config.staffTag)) {
            sendPlayerMessage(player, `§a${target.name} is no longer lifesteal-opped!`);
            target.removeTag(config.staffTag);
            return;
        }

        target.addTag(config.staffTag);
        sendPlayerMessage(player, `§a${target.name} is now lifesteal-opped!`);
    },
});