import { lifesteal } from "../../../databases";
import { sendPlayerMessage } from "../../../../stuff/commonUtils";
import { Command } from "../../../../stuff/handler";
import { processAllDeadplayers } from "../../../core_modules/ghostHandling";

new Command({
    name: `banghosts`,
    staffOnly: true,
    callback({ player, args }) {
        if (!args[0]) return sendPlayerMessage(player, `§aBanghosts is set to §f${lifesteal.get(`banghosts`)}`);

        if (![`true`, `false`].includes(args[0].toLowerCase())) return sendPlayerMessage(player, `§cMust be true or false`);
        lifesteal.set(`banghosts`, args[0].toLowerCase());
        processAllDeadplayers();

        sendPlayerMessage(player, `§aSet ban ghosts to §f${args[0]}`);
    },
});