import { lifesteal } from "../../../databases";
import { sendPlayerMessage } from "../../../../stuff/commonUtils";
import { Command } from "../../../../stuff/handler";


new Command({
    name: `reviveamount`,
    staffOnly: true,
    callback({ player, args }) {
        let amount = +args[0];
        if (isNaN(amount) || amount < 1 || amount > 15) return sendPlayerMessage(player, `§cYou can only set the revive amount to numbers from 1-15!`);
        if (+lifesteal.get(`heartlose`) > amount) return sendPlayerMessage(player, `§cYou can't set the revive amount lower than the hearts lost amount!`);

        lifesteal.set(`reviveamount`, `${amount}`);
        sendPlayerMessage(player, `§aSet the revive amount to ${amount}`);
    },
});