import { ItemStack, Player, world } from "@minecraft/server";
import { lifestealLogs } from "../databases";
import { lifesteal } from "../databases";
import { getScore, sendPlayerMessage, setScore, addScore } from "../../stuff/commonUtils";
import { heartOfLife } from "../items/heart_of_life";
import { withdrawHeart } from "../items/withdraw_heart";
import { heartItem } from "../items/heart";
import { adminPanelItem } from "../items/iadminpanel";

world.afterEvents.itemUse.subscribe(data => {
    const { itemStack: item, source: player, } = data;

    switch (item.typeId) {
        case `lifesteal:heart_of_life`: return heartOfLife(player);
        case `lifesteal:withdraw_heart`: return withdrawHeart(player, item);
        case `lifesteal:heart`: return heartItem(player, item);
        case `lifesteal:admin_panel`: return adminPanelItem(player);
    }
});