import { Player } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { lifestealVersion, changelog } from "../../changelog";
import { adminPanel } from "../adminpanel";

export function agChangelog(player: Player) {
    const gui = new ActionFormData()
        .title(`Lifesteal Changelogs`)
        .body(`§9Current Version - ${lifestealVersion}\n\n-- Changelogs:\n${changelog}`)
        .button(`Back`, `textures/ui/back_button_default.png`);
    gui.show(player).then(() => {
        player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
        adminPanel(player);
    });
}
