export const lifestealVersion = `1.17.6`;


export const newFeatures = `§9${lifestealVersion}§a
• Fixed admin panel settings not working
• Changed "Default: X" on the bottom/top of text when changing settings in the admin panel to a tooltip
• Minor changes to commands`;

export const changelog = `${newFeatures.replaceAll(`•`, `§r•§a`)}

§91.17.4§a
• Added 1.21.80 support

§91.17.4§a
• New pack icon
• Removed redundant files. Lower file size

§91.17.3§a
• ?settings now takes you to the admin panel
• Fixed a bug that caused lifesteal not to work on new worlds
• Fixed a bug that allowed you to dupe hearts
• Fixed a bug that caused players to be reset to 10 hearts when joining
• Fixed a bug that made players with spaces in their name immune to bans on 0 hearts

§91.17.2§a
• Added 1.21.70 (Spring To Life) support

§91.17.1§a
• Fixed using 2 hearts at a time to get 1 heart
• Fixed hearts not giving you a heart

§91.17.0§a
• Added 1.21.60 support
• New welcome GUI
• You are no longer given the "You have been given Heart * 1" message if you are over max hearts and get hearts given to you
• You are now required to sneak twice within 10s instead of typing "Yes" or "No" when doing ?reviveall
• ?adminpanel is now more visible in ?help
• Updated legacy code

• Added ?heart maxholbonus, which sets the maximum heart bonus you can get from the heart of life

• Added "Unselected" option to multiple player dropdowns so console players can choose not to select a player
• - Added to admin panel
• - Added to revive GUI
• - Added to ghost panel

• Changes to admin panel
• - Added "Max Heart of Life Bonus" module to set max HOL bonus
• - Added "Heart Item Cap" module to set Heart Item Cap
• - Added "Environment Drop" module to set Envdrop (Hearts drop on death by natural causes)
• - Changes to "Revive a player" module
• - - Toggles have been changed to be "Hide revive" and "Revive all" for more control over whether you want it to show in chat
• - - Now opens the regular Revive GUI with requireBeacon set to false
• - It now asks you to confirm before clearing kill history
• - Improved the "Run multiple commands" module to be able to take infinite inputs. However to make sure the gui isn't the size of your mother this is limited to 30.
• - Default settings are now shown to you when you reset all settings in the "Reset all settings" module

• Changes to Revive GUI
• - No longer uses recursion when searching
• - You are now asked to confirm before reviving to avoid mistakes

• Changes to ?heart
• - Renamed "setmax" to "max". Functionality stays the same
• - Players without permission are now able to do ?help heart
• - You can now target players with spaces in their names by surrounding it with double quotes "
• - Changes to ?heart help page
• - - Regular help page is no longer indigo
• - - Staff help page has been updated. Regular ?heart commands are separated to be more visible

• Other minor changes`;