import { Player } from "@minecraft/server";
import { randomN, sendPlayerMessage } from "../../../stuff/commonUtils";
import { Command } from '../../../stuff/handler';
import { ghostPanel } from "../../gui/ghostpanel";
import { config } from "../../../stuff/config";

new Command({
    name: `ghostpanel`,
    aliases: [`gp`, `ghostgui`, `gg`],
    helpMenu: `§e§lLifesteal Help Page -- ghostpanel§r§g
> Show the welcome GUI

> Usage: ${config.prefix}ghostpanel

> Aliases: [
    gp
    ghostgui
    gg
]

> Examples: [
    ${config.prefix}adminpanel
]`,
    callback({ player, args }) {
        if (!player.hasTag(`ls-dead`)) return sendPlayerMessage(player, `§cOnly ghosts can run this command!`);

        sendPlayerMessage(player, `§3Close chat to open GUI`);

        ghostPanel(player);
    }
});