import { Player } from '@minecraft/server';
import { sendPlayerMessage } from '../../../stuff/commonUtils';

export function heartShow(player: Player) {
    const hadHeartTag = player.hasTag(`heart-show_on`);
    if (hadHeartTag) player.removeTag(`heart-show_on`);
    else player.addTag(`heart-show_on`);

    sendPlayerMessage(player, `§aYour hearts are ${hadHeartTag ? `no longer` : `now`} displayed on your actionbar`);
}