import { Player } from '@minecraft/server';
import { sendPlayerMessage } from '../../../../../stuff/commonUtils';
import { lifesteal } from '../../../../databases';


export function heartEnvdrop(player: Player, args: string[]) {
    const newValue = args[1] ?? ``;
    if (!newValue) return sendPlayerMessage(player, `§aEnvironment drop set to ${lifesteal.get(`envdrop`)}`);
    if (![`true`, `false`].includes(newValue)) return sendPlayerMessage(player, `§cExpected boolean ('${newValue}')`);

    lifesteal.set(`envdrop`, newValue);
    sendPlayerMessage(player, `§aSet environment drop to ${newValue}`);
}
