import { lifestealLogs } from "../../databases";
import { sendPlayerMessage } from "../../../stuff/commonUtils";
import { config } from '../../../stuff/config';
import { Command } from '../../../stuff/handler';

new Command({
    name: `logs`,
    staffOnly: true,
    helpMenu: `§e§lLifesteal Help Page -- logs§r§g
> See lifesteal logs (When a player gains or loses a heart, when a player uses a command, etc)

> Usage: ${config.prefix}logs

> Examples: [
    ${config.prefix}logs
]`,
    callback({ player, args }) {
        lifestealLogs.filter((v, i) => lifestealLogs.indexOf(v) !== i);

        sendPlayerMessage(player, `§aLifesteal Logs:\n(The time before §q>§a is in the UTC time zone)\n${lifestealLogs.join(`\n`)}\n-----\n§aNote: Logs reset when the world restarts or when it hits 500`);
    }
});