import { lifesteal } from "../../../databases";
import { sendPlayerMessage } from "../../../../stuff/commonUtils";
import { Command } from "../../../../stuff/handler";


new Command({
    name: `startamount`,
    staffOnly: true,
    callback({ player, args }) {
        let amount = +args[0];
        if (isNaN(amount) || amount < 5 || amount > 15) return sendPlayerMessage(player, `§cYou can only set the start amount to numbers from 5-15!`);

        lifesteal.set(`startamount`, `${amount}`);
        sendPlayerMessage(player, `§aSet the start amount to ${amount}`);
    },
});