import { getPlayer, sendPlayerMessage, setScore } from "../../../../stuff/commonUtils";
import { config } from '../../../../stuff/config';
import { Command } from '../../../../stuff/handler';
import { processAllDeadplayers } from "../../../core_modules/ghostHandling";

new Command({
    name: `forcekill`,
    staffOnly: true,
    helpMenu: `§e§lLifesteal Help Page -- forcekill§r§g
> Kill a player and set them to 0 hearts

> Usage: ${config.prefix}forcekill <player>

> Examples: [
    ${config.prefix}forcekill GBShadow550
]`,
    callback({ player, args, cmdData }) {
        if (!args[0]) return sendPlayerMessage(player, cmdData.helpMenu);
        let target = getPlayer(args.join(` `));
        if (!target) return sendPlayerMessage(player, `§cFailed to find player, player must be online`);

        setScore(target, `ls-death`, 0);
        processAllDeadplayers();
        sendPlayerMessage(player, `§aKilled §f${target.name}`);
    },
});
