import { Player } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { lifestealLogs } from "../../../databases";
import { agQuickCommands } from "../quickCommands";


export function qcLogs(player: Player) {
    const gui = new ActionFormData()
        .title(`Logs`)
        .body(`§a(The time before §q>§a is UTC time)\n§2Note: Logs reset when the world restarts or when the length hits 500\n§q${lifestealLogs.join(`\n`)}`)
        .button(`Back`, `textures/ui/back_button_default.png`);
    gui.show(player).then(() => {
        player.playSound(`note.pling`, { pitch: 2, volume: 0.1 });
        agQuickCommands(player);
    });
}
