import { Player } from "@minecraft/server";
import { addScore, getScore, sendPlayerMessage } from "../../stuff/commonUtils";
import { lifesteal } from "../databases";

export function heartOfLife(player: Player) {
    const maxHolBonus = +lifesteal.get(`maxholbonus`);
    const currentHolBonus = getScore(player, `ls-extra-hearts`);
    if (currentHolBonus < maxHolBonus && player.runCommand(`clear @s lifesteal:heart_of_life 0 1`).successCount !== 0) {
        addScore(player, `ls-extra-hearts`, 1);
        sendPlayerMessage(player, `§bYou will now recieve one extra heart when getting revived (Permanently)`);
    }
}